NamedJcaJceHelper (Bouncy Castle Library 1.52 API Specification)

org.bouncycastle.jcajce.util

## Class NamedJcaJceHelper

- java.lang.Object
- - org.bouncycastle.jcajce.util.NamedJcaJceHelper

- All Implemented Interfaces:
    JcaJceHelper

      public class NamedJcaJceHelper
      extends java.lang.Object
      implements JcaJceHelper

  `JcaJceHelper` that obtains all algorithms using a specific named provider.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `providerName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamedJcaJceHelper(java.lang.String providerName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.AlgorithmParameterGenerator` | `createAlgorithmParameterGenerator(java.lang.String algorithm)`
    `java.security.AlgorithmParameters` | `createAlgorithmParameters(java.lang.String algorithm)`
    `java.security.cert.CertificateFactory` | `createCertificateFactory(java.lang.String algorithm)`
    `javax.crypto.Cipher` | `createCipher(java.lang.String algorithm)`
    `java.security.MessageDigest` | `createDigest(java.lang.String algorithm)`
    `javax.crypto.KeyAgreement` | `createKeyAgreement(java.lang.String algorithm)`
    `java.security.KeyFactory` | `createKeyFactory(java.lang.String algorithm)`
    `javax.crypto.KeyGenerator` | `createKeyGenerator(java.lang.String algorithm)`
    `java.security.KeyPairGenerator` | `createKeyPairGenerator(java.lang.String algorithm)`
    `javax.crypto.Mac` | `createMac(java.lang.String algorithm)`
    `javax.crypto.SecretKeyFactory` | `createSecretKeyFactory(java.lang.String algorithm)`
    `java.security.Signature` | `createSignature(java.lang.String algorithm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### providerName

          protected final java.lang.String providerName

  - ### Constructor Detail

    - #### NamedJcaJceHelper

          public NamedJcaJceHelper(java.lang.String providerName)

  - ### Method Detail

    - #### createCipher

          public javax.crypto.Cipher createCipher(java.lang.String algorithm)
                                           throws java.security.NoSuchAlgorithmException,
                                                  javax.crypto.NoSuchPaddingException,
                                                  java.security.NoSuchProviderException

      Specified by:
        `createCipher` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`
        `javax.crypto.NoSuchPaddingException`
        `java.security.NoSuchProviderException`

    - #### createMac

          public javax.crypto.Mac createMac(java.lang.String algorithm)
                                     throws java.security.NoSuchAlgorithmException,
                                            java.security.NoSuchProviderException

      Specified by:
        `createMac` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`

    - #### createKeyAgreement

          public javax.crypto.KeyAgreement createKeyAgreement(java.lang.String algorithm)
                                                       throws java.security.NoSuchAlgorithmException,
                                                              java.security.NoSuchProviderException

      Specified by:
        `createKeyAgreement` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`

    - #### createAlgorithmParameterGenerator

          public java.security.AlgorithmParameterGenerator createAlgorithmParameterGenerator(java.lang.String algorithm)
                                                                                      throws java.security.NoSuchAlgorithmException,
                                                                                             java.security.NoSuchProviderException

      Specified by:
        `createAlgorithmParameterGenerator` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`

    - #### createAlgorithmParameters

          public java.security.AlgorithmParameters createAlgorithmParameters(java.lang.String algorithm)
                                                                      throws java.security.NoSuchAlgorithmException,
                                                                             java.security.NoSuchProviderException

      Specified by:
        `createAlgorithmParameters` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`

    - #### createKeyGenerator

          public javax.crypto.KeyGenerator createKeyGenerator(java.lang.String algorithm)
                                                       throws java.security.NoSuchAlgorithmException,
                                                              java.security.NoSuchProviderException

      Specified by:
        `createKeyGenerator` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`

    - #### createKeyFactory

          public java.security.KeyFactory createKeyFactory(java.lang.String algorithm)
                                                    throws java.security.NoSuchAlgorithmException,
                                                           java.security.NoSuchProviderException

      Specified by:
        `createKeyFactory` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`

    - #### createSecretKeyFactory

          public javax.crypto.SecretKeyFactory createSecretKeyFactory(java.lang.String algorithm)
                                                               throws java.security.NoSuchAlgorithmException,
                                                                      java.security.NoSuchProviderException

      Specified by:
        `createSecretKeyFactory` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`

    - #### createKeyPairGenerator

          public java.security.KeyPairGenerator createKeyPairGenerator(java.lang.String algorithm)
                                                                throws java.security.NoSuchAlgorithmException,
                                                                       java.security.NoSuchProviderException

      Specified by:
        `createKeyPairGenerator` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`

    - #### createDigest

          public java.security.MessageDigest createDigest(java.lang.String algorithm)
                                                   throws java.security.NoSuchAlgorithmException,
                                                          java.security.NoSuchProviderException

      Specified by:
        `createDigest` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`

    - #### createSignature

          public java.security.Signature createSignature(java.lang.String algorithm)
                                                  throws java.security.NoSuchAlgorithmException,
                                                         java.security.NoSuchProviderException

      Specified by:
        `createSignature` in interface `JcaJceHelper`
      Throws:
        `java.security.NoSuchAlgorithmException`
        `java.security.NoSuchProviderException`

    - #### createCertificateFactory

          public java.security.cert.CertificateFactory createCertificateFactory(java.lang.String algorithm)
                                                                         throws java.security.cert.CertificateException,
                                                                                java.security.NoSuchProviderException

      Specified by:
        `createCertificateFactory` in interface `JcaJceHelper`
      Throws:
        `java.security.cert.CertificateException`
        `java.security.NoSuchProviderException`